
input_file = "RDPS_SFCWRO_20210121_06_1.nc"
dest_file  = "final_WCPS_atmos_modified.nc"
remap_file = "RDPS_SFCWRO_20210121_06_1_interpolated.nc"

vname = "WCPS_atmos_P_N0_SFC"

f = addfile(input_file, "r")
var1 = f->$vname$(0,:,:)

g = addfile(dest_file, "r")
var2 = g->$vname$(0,:,:)

minlon = min(g->lon)
maxlon = max(g->lon)
minlat = min(g->lat)
maxlat = max(g->lat)

h = addfile(remap_file, "r")
var3 = h->$vname$(0,:,:)

e = addfile("o.nc", "r")
var4 = e->$vname$(0,:,:)

;-------------------------------------------------------

wks = gsn_open_wks("png","plot_test")

;-------------------------------------------------------

res = True
res@gsnFrame  = False

res@tiMainString = "RDPS_SFCWRO_20210121_06_1.nc"

res@cnFillOn  = True
res@cnLinesOn = False
res@cnFillPalette = "cmp_b2r"

res@tiXAxisOffsetYF = 0.03

res@vpWidthF  = 0.35
res@vpHeightF = 0.35
res@vpXF      = 0.08
res@vpYF      = 0.94

plot1 = gsn_csm_contour(wks, var1, res)

print("--> plot 1 done")

;-------------------------------------------------------

res2 = True
res2@gsnFrame  = False

res2@tiMainString = "final_WCPS_atmos_modified.nc"

res2@cnFillOn  = True
res2@cnLinesOn = False
res2@cnFillPalette = "cmp_b2r"
res2@cnConstFEnableFill = True

res2@vpWidthF  = 0.35
res2@vpHeightF = 0.35
res2@vpXF = 0.60
res2@vpYF = 0.94

res2@mpMinLatF = minlat - 10.0
res2@mpMaxLatF = maxlat + 10.0
res2@mpMinLonF = minlon - 10.0
res2@mpMaxLonF = maxlon + 10.0

lat2d = g->lat
lon2d = g->lon
printVarSummary(lat2d)
printVarSummary(lon2d)
print("-----------------")
res2@sfXArray = lon2d
res2@sfYArray = lat2d

plot2 = gsn_csm_contour_map(wks, var2, res2)

plres = True
plres@gsLineThicknessF  =  1.0
plres@gsLineColor       = "red"
plres@gsFillColor       = "green"

x = (/minlon, maxlon, maxlon, minlon, minlon/)
y = (/minlat, minlat, maxlat, maxlat, minlat/)

id3 = gsn_add_polygon(wks, plot2, x, y, plres)
id4 = gsn_add_polyline(wks, plot2, x, y, plres)

draw(plot2)

print("--> plot 2 done")

;-------------------------------------------------------

res3 = True
res3@gsnFrame  = False

res3@tiMainString = "RDPS_SFCWRO_20210121_06_1_interpolated.nc"

res3@cnFillOn  = True
res3@cnLinesOn = False
res3@cnFillPalette = "cmp_b2r"
res3@cnConstFEnableFill = True

res3@vpWidthF  = 0.42
res3@vpHeightF = 0.42
res3@vpXF = 0.045
res3@vpYF = 0.42

lat2d := h->lat
lon2d := h->lon
printVarSummary(lat2d)
printVarSummary(lon2d)
print("-----------------")
res3@sfXArray := lon2d
res3@sfYArray := lat2d

plot3 = gsn_csm_contour_map(wks, var3, res3)

plres3 = True
plres3@gsLineThicknessF  =  1.
plres3@gsLineColor       = "red"
plres3@gsFillColor       = "green"

x = (/minlon, maxlon, maxlon, minlon, minlon/)
y = (/minlat, minlat, maxlat, maxlat, minlat/)

id3 = gsn_add_polygon(wks, plot3, x, y, plres3)
id4 = gsn_add_polyline(wks, plot3, x, y, plres3)

draw(plot3)

print("--> plot 3 done")

;-------------------------------------------------------

res4 = True
res4@gsnFrame  = False

res4@tiMainString = "remapbil,r720x360"

res4@cnFillOn  = True
res4@cnLinesOn = False
res4@cnFillPalette = "cmp_b2r"

res4@vpWidthF  = 0.42
res4@vpHeightF = 0.42
res4@vpXF = 0.54
res4@vpYF = 0.42

res2@mpMinLatF = minlat
res2@mpMaxLatF = maxlat
res2@mpMinLonF = minlon
res2@mpMaxLonF = maxlon

plot4 = gsn_csm_contour_map(wks, var4, res4)

plres4 = True
plres4@gsLineThicknessF  =  1.
plres4@gsLineColor       = "red"
plres4@gsFillColor       = "green"

x = (/minlon, maxlon, maxlon, minlon, minlon/)
y = (/minlat, minlat, maxlat, maxlat, minlat/)

id3 = gsn_add_polygon(wks, plot4, x, y, plres4)
id4 = gsn_add_polyline(wks, plot4, x, y, plres4)

draw(plot4)

print("--> plot 4 done")


frame(wks)



